Bug 1460669 - wrong dedicated journals [NEEDINFO]
wrong dedicated journals
Status: ON_QA
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 3-alpha
Assigned To: Ankush Behl
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 07:33 EDT by Martin Kudlej
Modified: 2017-06-26 04:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nthomas: needinfo? (mkudlej)


Attachments (Terms of Use)
output from getnodelist (24.88 KB, application/x-gzip)
2017-06-12 07:34 EDT, Martin Kudlej
no flags Details
first try with max == 2 (79.94 KB, image/png)
2017-06-12 07:37 EDT, Martin Kudlej
no flags Details
second try with max == 4 (75.41 KB, image/png)
2017-06-12 07:47 EDT, Martin Kudlej
no flags Details
third try with max == NaN (105.52 KB, image/png)
2017-06-12 07:48 EDT, Martin Kudlej
no flags Details
NaN with many partitions per devices (109.14 KB, image/png)
2017-06-12 07:49 EDT, Martin Kudlej
no flags Details
wrong device list (89.10 KB, image/png)
2017-06-12 07:49 EDT, Martin Kudlej
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Tendrl/dashboard/issues/432 None None None 2017-06-15 07:04 EDT

  None (edit)
Description Martin Kudlej 2017-06-12 07:33:10 EDT
Description of problem:
There are two connected problems at "configuration" page in wizard for creating ceph cluster.

1) Dashboard does not set properly dedicated journals in UI.
There is label "8 devices" but if user opens list of devices there is just one device for osd and one device for journal in the list. And there are just 6 devices on node:
$ lsblk 
NAME   MAJ:MIN RM SIZE RO TYPE MOUNTPOINT
vda    253:0    0  20G  0 disk 
└─vda1 253:1    0  20G  0 part /
vdb    253:16   0  11G  0 disk 
vdc    253:32   0  11G  0 disk 
vdd    253:48   0  20G  0 disk 
vde    253:64   0  20G  0 disk 
vdf    253:80   0  20G  0 disk 
vdg    253:96   0  20G  0 disk 

2) Also it is possible to set more than 100 partitions per device.

Version-Release number of selected component (if applicable):
ceph-ansible-2.2.11-1.el7scon.noarch
ceph-installer-1.3.0-1.el7scon.noarch
etcd-3.1.7-1.el7.x86_64
python-etcd-0.4.5-1.noarch
rubygem-etcd-0.3.0-1.el7.noarch
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-commons-3.0-alpha.9.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-node-agent-3.0-alpha.9.el7scon.noarch
tendrl-node-monitoring-3.0-alpha.5.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.7.el7scon.noarch


How reproducible:
100%

Steps to Reproduce:
1) 
1. check devices in UI for nodes

2)
1. user try to create ceph cluster
2. at journal "configuration" page is "Partitions per Device (Max = 2)"
3. go back to "general" page and change cluster name
4. go back to "configuration" page and there is "Partitions per Device (Max = 4)"
5. go back to "general" page and change cluster name
6. go back to "configuration" page and there is "Partitions per Device (Max = NaN)"
7. it is possible to set "Partitions per Device" to any number

Actual results:
There are 2 related bugs in UI described above.

Expected results:
Journals are set according rules described in documentation and in design documents.
Comment 3 Martin Kudlej 2017-06-12 07:34 EDT
Created attachment 1287035 [details]
output from getnodelist
Comment 4 Martin Kudlej 2017-06-12 07:37 EDT
Created attachment 1287036 [details]
first try with max == 2
Comment 5 Martin Kudlej 2017-06-12 07:47 EDT
Created attachment 1287037 [details]
second try with max == 4
Comment 6 Martin Kudlej 2017-06-12 07:48 EDT
Created attachment 1287038 [details]
third try with max == NaN
Comment 7 Martin Kudlej 2017-06-12 07:49 EDT
Created attachment 1287039 [details]
NaN with many partitions per devices
Comment 8 Martin Kudlej 2017-06-12 07:49 EDT
Created attachment 1287040 [details]
wrong device list
Comment 9 Nishanth Thomas 2017-06-13 01:34:41 EDT
As mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1460159, 'Partitions per Device' is going to be removed in the upcoming build. 

Issue no 1. Is there a way to reproduce this?
Comment 10 Ankush Behl 2017-06-20 05:07:17 EDT
Fixed with this version[1] please verify.

tendrl-dashboard-3.0-alpha.5.el7scon.noarch.rpm

Note You need to log in before you can comment on or make changes to this bug.